Skip to main content
`Ctrl`+`K`

# VecRestoreArrayF90

Restores a vector to a usable state after a call to `VecGetArrayF90()`.

## Synopsis

    VecRestoreArrayF90(Vec x,{Scalar, pointer :: xx_v(:)},integer ierr)

Logically Collective

## Input Parameters

- x - vector

- xx_v - the Fortran pointer to the array

## Output Parameter

- ierr - error code

## Example of Usage

    #include <petsc/finclude/petscvec.h>
        use petscvec

        PetscScalar, pointer :: xx_v(:)
        ....
        call VecGetArrayF90(x,xx_v,ierr)
        xx_v(3) = a
        call VecRestoreArrayF90(x,xx_v,ierr)

## See Also

Vectors and Parallel Data, `Vec`, `VecGetArrayF90()`, `VecGetArray()`, `VecRestoreArray()`, `VecRestoreArrayReadF90()`

## Level

beginner

## Location

src/vec/vec/interface/rvector.c

## Examples

src/ksp/ksp/tutorials/ex14f.F90
src/tao/bound/tutorials/plate2f.F90
src/snes/tutorials/ex5f90t.F90
src/ksp/ksp/tutorials/ex88f.F90
src/ksp/ksp/tutorials/ex89f.F90
src/snes/tutorials/ex1f.F90
src/tao/leastsquares/tutorials/chwirut2f.F90
src/tao/leastsquares/tutorials/chwirut1f.F90
src/tao/unconstrained/tutorials/rosenbrock1f.F90
src/snes/tutorials/ex5f90.F90

Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages